## mingw-w64-libnpupnp-6.1.0-1.src.tar.zst

=== meson_options.txt ===
option('client', type : 'boolean',
  value : true,
  description : 'control point code (client)',
)

option('optssdp', type : 'boolean',
  value : true,
  description : '"optional SSDP headers support',
)

option('soap', type : 'boolean',
  value : true,
  description : 'SOAP part',
)

option('gena', type : 'boolean',
  value : true,
  description : 'GENA part',
)

option('tools', type : 'boolean',
  value : true,
  description : 'helper APIs in upnptools.h',
)

option('ipv6', type : 'boolean',
  value : true,
  description : 'ipv6 support',
)

option('ssdp', type : 'boolean',
  value : true,
  description : 'SSDP part',
)

option('device', type : 'boolean',
  value : true,
  description : 'device specific code (implies --disable-webserver if disabled)',
)

option('webserver', type : 'boolean',
  value : true,
  description : 'integrated web server',
)

option('expat', type : 'feature',
  description : 'Use expat',
)

option('unspecified_server', type : 'boolean',
  value : false,
  description : 'unspecified SERVER header',
)
